Name: openldap
Version: 2.0.27
Release: alt5
%define so_maj 2

Summary: LDAP libraries and sample clients
License: OpenLDAP Public License
Group: System/Servers
Url: http://www.openldap.org/
Packager: Serge A. Volkov <vserge@altlinux.ru>

# OpenLDAP source
Source: ftp://ftp.OpenLDAP.org/pub/OpenLDAP/%name-release/%name-%version.tar.bz2

# Docs for this products
Source1: %name-guide.tar.bz2
Source2: README.upgrading
Source3: Suse-Security-reviewed.txt

# System Specific source
Source11: ldap.sysconfig
Source12: ldap.init
Source13: ldap.logrotate

Source21: gencert.sh

# Extended OpenLDAP schemas
Source50: rfc822-MailMember.schema
Source51: autofs.schema
Source52: kerberosobject.schema
Source53: qmail.schema
Source54: mull.schema
Source55: samba.schema
Source56: courier.schema
Source57: netscape-profile.schema
Source58: dns.schema
Source59: cron.schema
Source60: qmailControl.schema
Source61: trust.schema
Source62: turbo.schema

Patch0: %name-2.0.7-config.patch
# See Suse-Security-reviewed.txt
Patch2: %name-2.0.23-suse-security.patch
##Patch3: %name-2.0.7-db3.patch # Not need, becose correct in source in 2.0.23
Patch4: %name-2.0.7-module.patch
Patch5: %name-2.0.7-schema.patch
Patch6: %name-2.0.25-slapd.conf.patch
Patch7: %name-cldap.patch
Patch8: %name-syslog.patch
Patch9: %name-conffile.patch
Patch10: %name-libtool.patch
Patch11: %name-sql.patch
#Patch12: %name-2.0.15-configure-sasl.patch
Patch13: %name-2.0.17-shell-backend-Makefile.patch
Patch14: %name-2.0.25-configure-tinfo.patch

PreReq: libldap = %version-%release
## Requires: MTA

BuildPreReq: autoconf_2.13
BuildPreReq: automake_1.4
BuildPreReq: libunixODBC-devel-static
# Automatically added by buildreq on Wed Nov 20 2002
BuildRequires: glibc-devel-static libdb4-devel libltdl-devel libncurses-devel libreadline-devel libssl-devel libtinfo-devel libunixODBC-devel libwrap-devel vim-minimal

%package -n libldap
Summary: OpenLDAP libraries
Group: System/Libraries
Conflicts: %name < %version-%release

%package -n libldap-devel
Summary: OpenLDAP development libraries and header files
Group: Development/C
Provides: openldap-devel = %version
Requires: libldap = %version-%release
Obsoletes: openldap-devel

%package -n libldap-devel-static
Summary: OpenLDAP development static libraries
Group: Development/C
Provides: openldap-devel-static = %version
Requires: libldap-devel = %version-%release
Obsoletes: openldap-devel-static

%package servers
Summary: LDAP servers
Group: System/Servers
PreReq: libldap = %version-%release, %name = %version-%release, fileutils, shadow-utils, libunixODBC
Requires: gawk

%package clients
Summary: LDAP utilities, tools and sample clients
Group: Networking/Remote access
PreReq: libldap = %version-%release, %name = %version-%release

%package guide
Summary: OpenLDAP administration guide
Group: Books/Computer books
Requires: %name = %version-%release

%description
OpenLDAP is an open source suite of LDAP (Lightweight Directory Access
Protocol) applications and development tools.  LDAP is a set of
protocols for accessing directory services (usually phone book style
information, but other information is possible) over the Internet,
similar to the way DNS (Domain Name System) information is propagated
over the Internet.  The suite includes a stand-alone LDAP server
(slapd), a stand-alone LDAP replication server (slurpd), libraries for
implementing the LDAP protocol, utilities, tools, and sample clients.

Install %name if you need to run LDAP-based applications and tools.

%description -n libldap
OpenLDAP is an open source suite of LDAP (Lightweight Directory Access
Protocol) applications and development tools.  LDAP is a set of
protocols for accessing directory services (usually phone book style
information, but other information is possible) over the Internet,
similar to the way DNS (Domain Name System) information is propagated
over the Internet.  The suite includes a stand-alone LDAP server
(slapd), a stand-alone LDAP replication server (slurpd), libraries for
implementing the LDAP protocol, utilities, tools, and sample clients.

This package contains shared libraries needed for make works %name-based softare.

%description -n libldap-devel
OpenLDAP is an open source suite of LDAP (Lightweight Directory Access
Protocol) applications and development tools.  LDAP is a set of
protocols for accessing directory services (usually phone book style
information, but other information is possible) over the Internet,
similar to the way DNS (Domain Name System) information is propagated
over the Internet.  The suite includes a stand-alone LDAP server
(slapd), a stand-alone LDAP replication server (slurpd), libraries for
implementing the LDAP protocol, utilities, tools, and sample clients.

This package includes the development libraries and header files needed
for developing applications that use LDAP internals. Install this package
only if you plan to develop or will need to compile customized LDAP clients.

%description -n libldap-devel-static
OpenLDAP is an open source suite of LDAP (Lightweight Directory Access
Protocol) applications and development tools.  LDAP is a set of
protocols for accessing directory services (usually phone book style
information, but other information is possible) over the Internet,
similar to the way DNS (Domain Name System) information is propagated
over the Internet.  The suite includes a stand-alone LDAP server
(slapd), a stand-alone LDAP replication server (slurpd), libraries for
implementing the LDAP protocol, utilities, tools, and sample clients.

This package includes the static libraries needed for developing statically
linked applications that use LDAP internals.

%description servers
OpenLDAP is an open source suite of LDAP (Lightweight Directory Access
Protocol) applications and development tools.  LDAP is a set of
protocols for accessing directory services (usually phone book style
information, but other information is possible) over the Internet,
similar to the way DNS (Domain Name System) information is propagated
over the Internet.  The suite includes a stand-alone LDAP server
(slapd), a stand-alone LDAP replication server (slurpd), libraries for
implementing the LDAP protocol, utilities, tools, and sample clients.

Install %name-servers if you need LDAP servers.

%description clients
OpenLDAP is an open source suite of LDAP (Lightweight Directory Access
Protocol) applications and development tools.  LDAP is a set of
protocols for accessing directory services (usually phone book style
information, but other information is possible) over the Internet,
similar to the way DNS (Domain Name System) information is propagated
over the Internet.  The suite includes a stand-alone LDAP server
(slapd), a stand-alone LDAP replication server (slurpd), libraries for
implementing the LDAP protocol, utilities, tools, and sample clients.

Install %name-client if you need LDAP applications and tools.

%description guide
OpenLDAP Administration Guide

%prep
%setup -q -a1
%patch0 -p1 -b .config
%patch2 -p0 -b .suse-security
##%patch3 -p1 -b .db3
%patch4 -p1 -b .module
%patch5 -p1 -b .schema
%patch6 -p1  -b .slapd.conf
%patch7 -p1 -b .cldap
%patch8 -p1 -b .syslog
%patch9 -p1 -b .conffile
%patch11 -p1 -b .sql
#%patch12 -p1 -b .sasl
%patch13 -p0 -b .sbmodule-dynamic
%patch14 -p1 -b .conf-tinfo

#find -type f -print0 |
#	xargs -r0 egrep -l '#[[:space:]]*include[[:space:]]*<sasl\.h>' |
#	xargs perl -pi -e 's,sasl\.h,sasl/sasl.h,g'

install -p -m644 %SOURCE2 .

%build
%set_autoconf_version 2.13
%set_automake_version 1.4

%undefine __libtoolize
export ac_cv_path_SENDMAIL=/usr/sbin/sendmail
export ac_cv_path_FINGER=/usr/bin/finger
autoheader
autoconf
chmod -R u+x .

# Line below need for some bad configure scripts like in auth_ldap package
export LDFLAGS="$LDFLAGS -lresolv"

# This flag need for don't test getaddrinfo function, when problem getaddrinfo been solved remove line below
#Fix in 2.0.16
#export ac_cv_func_getaddrinfo=no

%if "%__buildreqs" == "1"
# This is required for building buildrequires :)
export ol_cv_pthread_pthread=yes
export ol_cv_pthread_create_works=yes
export ol_cv_pthread_select_yields=yes
%endif

%configure \
	--datadir=%_datadir/%name \
	--libexecdir=%_sbindir \
	--localstatedir=/var/run \
	--enable-syslog \
	--disable-ipv6 \
	--disable-x-compile \
	--without-kerberos \
	--with-readline \
	--with-threads \
	--with-tls=openssl \
	--enable-crypt \
	--enable-modules \
	--enable-wrappers \
	--enable-dnssrv \
	--with-dnssrv-module=dynamic \
	--enable-ldbm \
	--enable-passwd \
	--with-passwd-module=dynamic \
	--enable-shell \
	--enable-sql \
	--with-sql-module=dynamic \
	--with-shell-module=dynamic \
	--with-phonetic \
	--enable-aci \
	--enable-dynamic \
	--enable-slurpd	\
	--enable-multimaster

%make_build depend
%make_build

%if "%__buildreqs" != "1"
#If test is OK in compilation time that's ALL OK.
%make_build test
%endif

%install
#mkdir -p $RPM_BUILD_ROOT%_sbindir
%makeinstall \
	datadir=$RPM_BUILD_ROOT%_datadir/%name \
	libexecdir=$RPM_BUILD_ROOT%_sbindir \
	localstatedir=$RPM_BUILD_ROOT/var/run \
	sysconfdir=$RPM_BUILD_ROOT%_sysconfdir/%name

# If ldapadd and ldapmodify are the same, make them a soft link.
if cmp $RPM_BUILD_ROOT%_bindir/ldapadd $RPM_BUILD_ROOT%_bindir/ldapmodify; then
	ln -snf ldapadd $RPM_BUILD_ROOT%_bindir/ldapmodify
fi

# Create the var data directory.
mkdir -p $RPM_BUILD_ROOT%_localstatedir/ldap
mkdir -p $RPM_BUILD_ROOT%_localstatedir/ldap/bases

# Install init scripts.
install -pD -m644 %SOURCE11 $RPM_BUILD_ROOT%_sysconfdir/sysconfig/ldap
install -pD -m755 %SOURCE12 $RPM_BUILD_ROOT%_initdir/ldap

### log repository and logrotate config
mkdir -p $RPM_BUILD_ROOT%_logdir/ldap
install -pD -m640 %SOURCE13 $RPM_BUILD_ROOT%_sysconfdir/logrotate.d/ldap

### gencert.sh
install -pD -m755 %SOURCE21 $RPM_BUILD_ROOT%_datadir/%name/gencert.sh

# Get the buildroot out of the installed files
find $RPM_BUILD_ROOT{%_sysconfdir,%_mandir} -type f |
	xargs fgrep -l "$RPM_BUILD_ROOT" |
	xargs -r perl -pi -e "s|$RPM_BUILD_ROOT||g"

# We don't need the default files - let's move it.
mkdir -p $RPM_BUILD_ROOT%_datadir/%name/default/schema
mv $RPM_BUILD_ROOT%_sysconfdir/%name/*.default $RPM_BUILD_ROOT%_datadir/%name/default
mv $RPM_BUILD_ROOT%_sysconfdir/%name/schema/*.default $RPM_BUILD_ROOT%_datadir/%name/default/schema

# Add some more schema for the sake of migration scripts and others
install -p -m644 %SOURCE50 %SOURCE51 %SOURCE52 %SOURCE53 %SOURCE54 %SOURCE55 %SOURCE56 %SOURCE57 %SOURCE58 %SOURCE59 %SOURCE60 %SOURCE61 %SOURCE62 $RPM_BUILD_ROOT%_sysconfdir/%name/schema

pushd $RPM_BUILD_ROOT%_libdir
	chmod +x *.so.*
	mkdir -p $RPM_BUILD_ROOT/lib
	for n in ldap lber; do
		mv lib$n.so.%{so_maj}* ../../lib/
		ln -snf ../../lib/lib$n.so.%{so_maj} lib$n.so
	done
popd

chmod 644 $RPM_BUILD_ROOT%_sysconfdir/%name/schema/*

# Install documentation.
mkdir -p $RPM_BUILD_ROOT%_docdir/%name-%version
cp -a doc/{drafts,rfc} $RPM_BUILD_ROOT%_docdir/%name-%version
cp -a %name-guide $RPM_BUILD_ROOT%_docdir/%name-%version/guide
cp -a servers/slapd/back-sql/docs $RPM_BUILD_ROOT%_docdir/%name-%version/back-sql
install -p -m644 ANNOUNCEMENT CHANGES COPYRIGHT README README.upgrading $RPM_BUILD_ROOT%_docdir/%name-%version

# Install SQL backend examples
mkdir -p $RPM_BUILD_ROOT%_datadir/doc/%name-servers-%version/back-sql \
	$RPM_BUILD_ROOT%_datadir/%name
cp -a servers/slapd/back-sql/rdbms_depend $RPM_BUILD_ROOT%_datadir/%name

%post -n libldap -p /sbin/post_ldconfig
%postun -n libldap -p /sbin/postun_ldconfig

%pre servers
# Take care to only do ownership-changing if we're adding the user.
/usr/sbin/groupadd -r -f ldap
/usr/sbin/useradd  -r -c "LDAP User" -g ldap -u 55 -s /dev/null -d %_localstatedir/ldap ldap &>/dev/null

if [ -d %_localstatedir/ldap ]; then
	for dbfile in %_localstatedir/ldap/*; do
		if [ -f $dbfile ]; then
			chown ldap.ldap $dbfile
		fi
	done
fi

# For correct logging need two lines syslog.conf
# echo "Add to %_sysconfdir/syslog.conf LDAP logging..."
# cp %_sysconfdir/syslog.conf %_sysconfdir/syslog.conf.ldap
# xargs awk '{ print $0; if ( $1 == "ftp.err" ) { print "\n# LDAP\n"; print "LOCAL4.*\t\t\t/var/log/ldap/ldap-all.log"; } }' %_sysconfdir/syslog.conf.ldap > %_sysconfdir/syslog.conf

%post servers
%post_service ldap

%preun servers
%preun_service ldap

%files -n libldap
/lib/*
%_libdir/*.so.*

%files -n libldap-devel
%_libdir/*.so
%_libdir/*.la
%_includedir/*
%_man3dir/*
%dir %_docdir/%name-%version
%_docdir/%name-%version/drafts
%_docdir/%name-%version/rfc

%files -n libldap-devel-static
%_libdir/*.a

##### COMMON
%files
%dir %_sysconfdir/%name
%config %_sysconfdir/%name/ldap*.conf

%dir %_datadir/%name
%_datadir/%name/ldapfriendly

%_man5dir/ldap.conf.*
%_man5dir/ldapfilter.conf.*
%_man5dir/ldapfriendly.*
%_man5dir/ldapsearchprefs.conf.*
%_man5dir/ldaptemplates.conf.*
%_man5dir/ldif.*
%dir %_docdir/%name-%version
%_docdir/%name-%version/[A-Z]*

##### SERVERS
%files servers
%attr(640,root,ldap) %config(noreplace) %_sysconfdir/%name/slapd*.conf

%dir %_sysconfdir/%name/schema
%config(noreplace) %_sysconfdir/%name/schema/*.schema

%config(noreplace) %_sysconfdir/sysconfig/ldap
%config(noreplace) %_initdir/ldap

%config(noreplace) %_sysconfdir/logrotate.d/ldap

%_sbindir/*
%_libdir/%name

%dir %_datadir/%name
%_datadir/%name/*.help
%_datadir/%name/gencert.sh
%_datadir/%name/default
%_datadir/%name/rdbms_depend

%attr(770,root,ldap) %dir %_localstatedir/ldap
%attr(770,root,ldap) %dir %_logdir/ldap
%attr(770,root,ldap) %dir %_localstatedir/ldap/bases


%_man5dir/slapd*
%_man8dir/*
%dir %_docdir/%name-%version
%_docdir/%name-%version/back-sql

##### CLIENTS
%files clients
%_bindir/*
%_man1dir/*
%_man5dir/ud.conf.*

##### GUIDE
%files guide
%dir %_docdir/%name-%version
%_docdir/%name-%version/guide

%changelog
* Tue Feb 11 2003 Serge A. Volkov <vserge@altlinux.ru> 2.0.27-alt5
- Remove Requires: MTA? becose not required for mailldap and mail500. It's a fix of bug #0002199 

* Sun Jan 19 2003 Serge A. Volkov <vserge@altlinux.ru> 2.0.27-alt4
- Add Suse security patch
- Update man for openldap-servers package (%%_man5dir/slapd*)
- Add --enable-multimaster support (%%configure)

* Thu Sep 26 2002 Serge A. Volkov <vserge@altlinux.ru> 2.0.27-alt3
- Rebuild with gcc3.2
- Add requires for Autoconf_2.13 and automake_1.4
- Update BuildReq (for libwrap-devel)

* Thu Sep 26 2002 Serge A. Volkov <vserge@altlinux.ru> 2.0.27-alt2
- Add debug configure
 
* Thu Sep 26 2002 Serge A. Volkov <vserge@altlinux.ru> 2.0.27-alt1
- Update to release 2.0.27

* Tue Jul 09 2002 Serge A. Volkov <vserge@altlinux.ru> 2.0.25-alt3
- Update for use terminfo with "ud" program
  - patch for configure (libtinfo)

* Wed Jun 26 2002 Serge A. Volkov <vserge@altlinux.ru> 2.0.25-alt2
- Add schemas from MDK %name package
  - cron.schema
  - netscape-profile.schema
  - qmailControl.schema
  - trust.schema
  - turbo.schema
  - dns.schema
- Update schemas
  - samba.schema
  - kerberosobject.schema
- schema rfc822-MailMember.schema come back to package but by default is off
- Update guide: in root guide in html by chapter and archive with sdf files
- Update patch for slapd.conf
- Fix bugs #??? according bugs.altlinux.ru

* Thu Jun 13 2002 Serge A. Volkov <vserge@altlinux.ru> 2.0.25-alt1
- Update to release 2.0.25
- Add courier.schema from courier-imap
- Correct Requires for libunixODBC-devel need for back-sql

* Wed Apr 17 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.0.23-alt4
- Dropped useless compatibility symlinks.

* Tue Apr 16 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.0.23-alt3
- Relocated lib{ldap,lber}.so.* from %_libdir/ to lib/
  (compatibility symlinks created).
- openldap: requires MTA.
- Build with libdb4, updated buildrequires.

* Thu Mar 21 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.0.23-alt2
- libldap: Conflicts: %name < %%version-%%release.
- openldap: PreReq: libldap = %%version-%%release.

* Tue Feb 19 2002 Serge A. Volkov <vserge@altlinux.ru> 2.0.23-alt1
- Update to 2.0.23 stable release
- Update openldap-guide last CVS version

* Wed Jan 16 2002 Serge A. Volkov <vserge@altlinux.ru> 2.0.21-alt1
- Update to 2.0.21 stable release

* Tue Jan 15 2002 Serge A. Volkov <vserge@altlinux.ru> 2.0.20-alt1
- Update to 2.0.20

* Mon Jan 14 2002 Serga A. Volkov <vserge@altlinux.ru> 2.0.19-alt1head
- Compile the CVS repository
- Add configure options:
  --with-phonetic; --enable-aci; --enable-dynamic; --enable-slurpd

* Fri Dec 21 2001 Serge A. Volkov <vserge@altlinux.ru> 2.0.19-alt1
- Update to 2.0.19 release
- Cleanup spec

* Tue Dec 14 2001 Serge A. Volkov <vserge@altlinux.ru> 2.0.18-alt2
- Removed "reload" function in initscript
- Update slapd.conf
- added script for corretion syslog.conf

* Fri Oct 26 2001 Serge	A. Volkov <vserge@altlinux.ru> 2.0.18-alt1
- Update to 2.0.18

* Wed Oct 25 2001 Serge A. Volkov <vserge@altlinux.ru> 2.0.17-alt3
- Clean up spec
- Correced slapd.conf patch

* Mon Oct 22 2001 Serge A. Volkov <vserge@altlinux,ru> 2.0.17-alt2
- Fixed compile problem patch by Peter Marshall

* Tue Oct 16 2001 Serge A. Volkov <vserge@altlinux.ru> 2.0.17-alt1
- Fixed "export ac_cv_func_getaddrinfo=no" hack.
- Updated:
  - to release 2.0.17
  - OpenLDAP Guide last cvs

* Thu Sep 27 2001 Igor Muratov <migor@altlinux.ru> 2.0.15-alt2
- Set TLS to OpenSSL

* Fri Sep 21 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.0.15-alt2
- Specfile cleanup.
- Built with db3-3.3.11.

* Fri Sep 21 2001 Volkov A. Serge <vserge@hotbox.ru> 2.0.15-alt1
- Update to 2.0.15 release.

* Tue Sep 10 2001 Volkov A.Serge <vserge@hotbox.ru> 2.0.14-alt1
- OpenLDAP 2.0.14

* Mon Sep 10 2001 Volkov A.Serge <vserge@hotbox.ru> 2.0.13-alt1
- OpenLDAP 2.0.13

* Fri Sep 7 2001 Volkov A. Serge <vserge@hotbox.ru> 2.0.12-alt2
- Remove from this package Migration Tools package.

* Mon Sep 3 2001 Volkov A. Serge <vserge@hotbox.ru> 2.0.12-alt1
- New release 2.0.12. Add patch for not use getaddrinfo function in sources, becose it's core dumped all soft.
  Remove Red-Hat patch for 2.0.3 version, it's conflict with new sources.

* Mon Aug 6 2001 Volkov A. Serge <vserge@menatepspb.msk.ru> 2.0.11-alt1
- Clean some errors in spec. Remove the major variable it's not need in Sysiphus.

* Fri Aug 3 2001 Volkov A. Serge <vserge@menatepspb.msk.ru> 2.0.11-alt1
- Devide 4 packeges to 7 packeges. Add Guide as package. Made libldap2-static and devel.

* Wed Jul 3 2001 Volkov A. Serge <vserge@menatepspb.msk.ru> 2.0.11-alt1
- OpenLDAP 2.0.11 and Migration tool 38. It's my first redation. I look the spec file from Mandrake Linux.

* Thu May 3 2001 Rider <rider@altlinux.ru> 2.0.7-ipl4
- Migration tool 37

* Tue Apr 17 2001 Alexander Bokovoy <ab@avilink.net> 2.0.7-ipl3
- Broken ldap.init script fixed

* Thu Mar 15 2001 Dmitry V. Levin <ldv@fandra.org> 2.0.7-ipl2
- missing link to libresolv.so added

* Sun Jan 28 2001 Dmitry V. Levin <ldv@fandra.org> 2.0.7-ipl1
- RE adaptions.

* Fri Dec 29 2000 Nalin Dahyabhai <nalin@redhat.com>
- change automount object OID from 1.3.6.1.1.1.2.9 to 1.3.6.1.1.1.2.13,
  per mail from the ldap-nis mailing list

* Tue Dec  5 2000 Nalin Dahyabhai <nalin@redhat.com>
- force -fPIC so that shared libraries don't fall over

* Mon Dec  4 2000 Nalin Dahyabhai <nalin@redhat.com>
- add Norbert Klasen's patch (via Del) to fix searches using ldaps URLs
  (OpenLDAP ITS #889)
- add "-h ldaps:///" to server init when TLS is enabled, in order to support
  ldaps in addition to the regular STARTTLS (suggested by Del)

* Mon Nov 27 2000 Nalin Dahyabhai <nalin@redhat.com>
- correct mismatched-dn-cn bug in migrate_automount.pl

* Mon Nov 20 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to the correct OIDs for automount and automountInformation
- add notes on upgrading

* Tue Nov  7 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 2.0.7
- drop chdir patch (went mainstream)

* Thu Nov  2 2000 Nalin Dahyabhai <nalin@redhat.com>
- change automount object classes from auxiliary to structural

* Tue Oct 31 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to Migration Tools 27
- change the sense of the last simple patch

* Wed Oct 25 2000 Nalin Dahyabhai <nalin@redhat.com>
- reorganize the patch list to separate MigrationTools and OpenLDAP patches
- switch to Luke Howard's rfc822MailMember schema instead of the aliases.schema
- configure slapd to run as the non-root user "ldap" (#19370)
- chdir() before chroot() (we don't use chroot, though) (#19369)
- disable saving of the pid file because the parent thread which saves it and
  the child thread which listens have different pids

* Wed Oct 11 2000 Nalin Dahyabhai <nalin@redhat.com>
- add missing required attributes to conversion scripts to comply with schema
- add schema for mail aliases, autofs, and kerberosSecurityObject rooted in
  our own OID tree to define attributes and classes migration scripts expect
- tweak automounter migration script

* Mon Oct  9 2000 Nalin Dahyabhai <nalin@redhat.com>
- try adding the suffix first when doing online migrations
- force ldapadd to use simple authentication in migration scripts
- add indexing of a few attributes to the default configuration
- add commented-out section on using TLS to default configuration

* Thu Oct  5 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 2.0.6
- add buildprereq on cyrus-sasl-devel, krb5-devel, openssl-devel
- take the -s flag off of slapadd invocations in migration tools
- add the cosine.schema to the default server config, needed by inetorgperson

* Wed Oct  4 2000 Nalin Dahyabhai <nalin@redhat.com>
- add the nis.schema and inetorgperson.schema to the default server config
- make ldapadd a hard link to ldapmodify because they're identical binaries

* Fri Sep 22 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 2.0.4

* Fri Sep 15 2000 Nalin Dahyabhai <nalin@redhat.com>
- remove prereq on /etc/init.d (#17531)
- update to 2.0.3
- add saucer to the included clients

* Wed Sep  6 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 2.0.1

* Fri Sep  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 2.0.0
- patch to build against MIT Kerberos 1.1 and later instead of 1.0.x

* Tue Aug 22 2000 Nalin Dahyabhai <nalin@redhat.com>
- remove that pesky default password
- change "Copyright:" to "License:"

* Sun Aug 13 2000 Nalin Dahyabhai <nalin@redhat.com>
- adjust permissions in files lists
- move libexecdir from %prefix/sbin to %_sbindir

* Fri Aug 11 2000 Nalin Dahyabhai <nalin@redhat.com>
- add migrate_automount.pl to the migration scripts set

* Tue Aug  8 2000 Nalin Dahyabhai <nalin@redhat.com>
- build a semistatic slurpd with threads, everything else without
- disable reverse lookups, per email on OpenLDAP mailing lists
- make sure the execute bits are set on the shared libraries

* Mon Jul 31 2000 Nalin Dahyabhai <nalin@redhat.com>
- change logging facility used from local4 to daemon (#11047)

* Thu Jul 27 2000 Nalin Dahyabhai <nalin@redhat.com>
- split off clients and servers to shrink down the package and remove the
  base package's dependency on Perl
- make certain that the binaries have sane permissions

* Mon Jul 17 2000 Nalin Dahyabhai <nalin@redhat.com>
- move the init script back

* Thu Jul 13 2000 Nalin Dahyabhai <nalin@redhat.com>
- tweak the init script to only source /etc/sysconfig/network if it's found

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul 10 2000 Nalin Dahyabhai <nalin@redhat.com>
- switch to gdbm; I'm getting off the db merry-go-round
- tweak the init script some more
- add instdir to @INC in migration scripts

* Thu Jul  6 2000 Nalin Dahyabhai <nalin@redhat.com>
- tweak init script to return error codes properly
- change initscripts dependency to one on /etc/init.d

* Tue Jul  4 2000 Nalin Dahyabhai <nalin@redhat.com>
- prereq initscripts
- make migration scripts use mktemp

* Tue Jun 27 2000 Nalin Dahyabhai <nalin@redhat.com>
- do condrestart in post and stop in preun
- move init script to /etc/init.d

* Fri Jun 16 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.2.11
- add condrestart logic to init script
- munge migration scripts so that you don't have to be
  /usr/share/openldap/migration to run them
- add code to create pid files in /var/run

* Mon Jun  5 2000 Nalin Dahyabhai <nalin@redhat.com>
- FHS tweaks
- fix for compiling with libdb2

* Thu May  4 2000 Bill Nottingham <notting@redhat.com>
- minor tweak so it builds on ia64

* Wed May  3 2000 Nalin Dahyabhai <nalin@redhat.com>
- more minimalistic fix for bug #11111 after consultation with OpenLDAP team
- backport replacement for the ldapuser patch

* Tue May  2 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix segfaults from queries with commas in them in in.xfingerd (bug #11111)

* Tue Apr 25 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.2.10
- add revamped version of patch from kos@bastard.net to allow execution as
  any non-root user
- remove test suite from %build because of weirdness in the build system

* Wed Apr 12 2000 Nalin Dahyabhai <nalin@redhat.com>
- move the defaults for databases and whatnot to /var/lib/ldap (bug #10714)
- fix some possible string-handling problems

* Mon Feb 14 2000 Bill Nottingham <notting@redhat.com>
- start earlier, stop later.

* Thu Feb  3 2000 Nalin Dahyabhai <nalin@redhat.com>
- auto rebuild in new environment (release 4)

* Tue Feb  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- add -D_REENTRANT to make threaded stuff more stable, even though it looks
  like the sources define it, too
- mark *.ph files in migration tools as config files

* Fri Jan 21 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.2.9

* Mon Sep 13 1999 Bill Nottingham <notting@redhat.com>
- strip files

* Sat Sep 11 1999 Bill Nottingham <notting@redhat.com>
- update to 1.2.7
- fix some bugs from bugzilla (#4885, #4887, #4888, #4967)
- take include files out of base package

* Fri Aug 27 1999 Jeff Johnson <jbj@redhat.com>
- missing ;; in init script reload) (#4734).

* Tue Aug 24 1999 Cristian Gafton <gafton@redhat.com>
- move stuff from /usr/libexec to /usr/sbin
- relocate config dirs to /etc/openldap

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Wed Aug 11 1999 Cristian Gafton <gafton@redhat.com>
- add the migration tools to the package

* Fri Aug 06 1999 Cristian Gafton <gafton@redhat.com>
- upgrade to 1.2.6
- add rc.d script
- split -devel package

* Sun Feb 07 1999 Preston Brown <pbrown@redhat.com>
- upgrade to latest stable (1.1.4), it now uses configure macro.

* Fri Jan 15 1999 Bill Nottingham <notting@redhat.com>
- build on arm, glibc2.1

* Wed Oct 28 1998 Preston Brown <pbrown@redhat.com>
- initial cut.
- patches for signal handling on the alpha
